@import url(./colors.css);

/* Roboto font by Google; Apache lisence */
@font-face {
    font-family: 'Roboto Condensed';
    src: url(./RobotoCondensed-Regular.ttf);
}

body {
        max-width: 800px;
        margin: 0 auto;
    }


:root {
    background: url("./bg.png");
    --c1: 0.25em solid var(--a4);
    font-family: 'Inter', monospace;
}

* {
    color: var(--text)
}

::selection {
    background: var(--a4);
    color:  var(--text-d);
}

button {
    border: none;
    border-radius: 2px;
    background-color: var(--a4);
    color: var(--text-d);
    font-weight: 800;
    padding: 0.25rem 0.5rem;
    transition: 0.25s;
    &:hover {
        filter:brightness(120%);
        text-decoration: underline;
        
    }
}

#logo {
    transform: translate(-10px, -10px);
    width: 60px;
    height: 60px;
    border: 20px solid var(--a3);
    background-color: var(--text-d);
    overflow: hidden;
    filter: drop-shadow(20px 20px 0 var(--a2));
    transition: 0.5s;
    margin: auto 0;

    &:hover {
        transform: translate(0px, 0px);
        filter: drop-shadow(0  0  0 var(--a2));
    }
}

/* section */

.content-header {
    color: var(--text-h);
    background: linear-gradient(to right, rgba(var(--b4), 1), rgba(0,0,0,0));
    border-right: var(--c1);
    padding: 0.2em 0.5em;
    
    margin: 2em auto 0.5em;

    font-weight: bold;
    font-size: 1.75rem;
    font-family: 'Roboto Condensed';
    position: sticky;
    top: 0;
    z-index: 1;
}

.grid-container {
    height: 90vh;
    display: grid;
    margin: 5vh auto;
    grid-template-columns: 80% auto;
    gap: 1em;
}

.content-container {
    overflow-y: scroll;
    scroll-behavior: smooth;
    scrollbar-color: var(--a3) var(--a2);
    padding-bottom: 1.5rem;
    & > * {
        margin-right: 0.8rem;
    }
}

.all-content {
    display: flex;
    position: relative;
    flex-direction: column;
    gap: 1em;
}

/*
.content::before {
    content: ' ';
    position: absolute;
    top: 10px;
    left: 10px;
    width: 100%;
    height: 100%;
    transform: translateZ(-1px);
    background-color: var(--a2);
    border: 2px solid var(--a2);
    z-index: -1;
}*/

.content {
    position: relative;
    border: 2px solid var(--a3);
    background-color: var(--a1);
    transition: 0.5s;
    padding: 1em;
    transition: 0.25s;
    box-shadow: 10px 10px var(--a2);
    &:hover{
        border-color: var(--a4);
    }
}

sub{ color: rgb(154, 127, 127) }

.nav-main {
    display: flex;
    flex-direction: column;
}

.nav-container {
    display: grid;
    grid-template-rows: 7em auto;
    gap: 0.5em;
}

.nav-tab {
    position: relative;
    background: linear-gradient(to left, rgba(var(--b4), 1), rgba(0,0,0,0));
    border-left: var(--c1);
    margin: 0.2em 0;
    padding: 0.5em 0.5em;
    transition: 0.25s;
    text-decoration: none;

    font-family: 'Roboto Condensed';
    font-weight: bold;
    color: var(--text-h);

    &:hover {
        filter: brightness(120%);
        padding-left: 1em;
    }
}

